/*!
 * Built with Stencil
 * Copyright (c) Bromcom.
 */
import { r as registerInstance, h, H as Host, g as getElement } from './index-0615c2b8.js';
import './color-helper-ba15b0d8.js';
import './datetime-helper-df25808a.js';
import { G as Generate } from './generate-b30859e0.js';
import './number-helper-70d15d1b.js';
import './string-helper-69203215.js';
import './validators-0ccb9921.js';
import './element-dragger-b75266e6.js';
import './bcm-a50d55ba.js';
import './colors-1d7854ea.js';
import './utils-7727d09e.js';
import './colors-ed4e7579.js';
import './_commonjsHelpers-7002e5de.js';
import './package-8f0a3af5.js';

const BcmModal2Header = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this._id = Generate.UID();
    this.el.slot = "header";
  }
  render() {
    return (h(Host, { class: "tw-w-full tw-flex-none tw-overflow-hidden tw-rounded-t-lg tw-bg-primary-400 tw-pt-1" }, h("div", { class: "tw-flex tw-w-full tw-items-center tw-justify-between tw-bg-primary-50 tw-px-4 tw-py-3 tw-text-4 tw-font-medium tw-text-slate-600" }, h("span", null, h("slot", null)), h("button", { type: "button", class: "tw-focus:tw-outline-none tw-flex tw-h-8 tw-w-8 tw-cursor-pointer tw-items-center tw-justify-center tw-bg-transparent tw-text-5 tw-text-slate-700 tw-transition tw-duration-150 tw-ease-in-out hover:tw-text-slate-900", "data-dismiss": true }, h("i", { class: "far fa-times" })))));
  }
  get el() { return getElement(this); }
};

export { BcmModal2Header as bcm_modal_2_header };
