/*!
 * Built with Stencil
 * Copyright (c) Bromcom.
 */
import { r as registerInstance, h, H as Host, g as getElement } from './index-0615c2b8.js';
import './color-helper-ba15b0d8.js';
import './datetime-helper-df25808a.js';
import { G as Generate } from './generate-b30859e0.js';
import './number-helper-70d15d1b.js';
import './string-helper-69203215.js';
import './validators-0ccb9921.js';
import './element-dragger-b75266e6.js';
import './bcm-a50d55ba.js';
import { c as classnames } from './index-00c8a8f7.js';
import './colors-1d7854ea.js';
import './utils-7727d09e.js';
import './colors-ed4e7579.js';
import './_commonjsHelpers-7002e5de.js';
import './package-8f0a3af5.js';

const BcmModal2Footer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this._id = Generate.UID();
    this.el.slot = "footer";
  }
  render() {
    return (h(Host, { class: classnames("tw-flex tw-flex-row tw-items-center tw-justify-end tw-gap-2 tw-px-6 tw-pb-6 tw-pt-2") }, h("slot", null)));
  }
  get el() { return getElement(this); }
};

export { BcmModal2Footer as bcm_modal_2_footer };
